Zend Guard Loader 启用后,访问加密的 PHP 文件出现 502 错误

虚竹 7月前 320

Quote请问下为什么使用不了ZEND加密的PHP文件 是5.6的PHP Zend Guard 7 正版加密
随便加密一个PHP文件上去 不行
错误日志
2018/01/26 11:16:55 [error] 37457#37457: *1 recv() failed (104: Connection reset by peer) while reading response header from upstream, client: xxx, server: xxx, request: "GET /t.php HTTP/1.1", upstream: "fastcgi://unix:/data/myweb/sites/official/php-pool/php-fpm.sock:", host: "xxx"

原因分析:
经确认为 opcache 扩展与 zend guard loader 扩展冲突导致的,zend guard loader 中已自带 opcache 扩展功能。

解决方案:
进入组件管理 - PHP - 设置 - 安装/卸载扩展 - 扩展管理,卸载 opcache 扩展,并重启 PHP 服务,即可正常。
最新回复 (0)
返回
发新帖